| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::discord_voice_client::voice_payload_parking_lot::seq_range_t Struct Reference

The range of RTP packet sequence number and timestamp in the lot. More...

`#include <discordvoiceclient.h>`

Collaboration diagram for dpp::discord_voice_client::voice_payload_parking_lot::seq_range_t:
[legend]

## Public Attributes

rtp_seq_t | max_seq
rtp_timestamp_t | max_timestamp
rtp_seq_t | min_seq
rtp_timestamp_t | min_timestamp

## Detailed Description

The range of RTP packet sequence number and timestamp in the lot.

The minimum is used to drop packets that arrive too late. Packets less than the minimum have been delivered to voice handlers and there is no going back. Unfortunately we just have to drop them.

The maximum is used, at flush time, to calculate the minimum for the next batch. The maximum is also updated every time we receive an RTP packet with a larger value.

## Member Data Documentation

## ◆ max_seq

rtp_seq_t dpp::discord_voice_client::voice_payload_parking_lot::seq_range_t::max_seq

## ◆ max_timestamp

rtp_timestamp_t dpp::discord_voice_client::voice_payload_parking_lot::seq_range_t::max_timestamp

## ◆ min_seq

rtp_seq_t dpp::discord_voice_client::voice_payload_parking_lot::seq_range_t::min_seq

## ◆ min_timestamp

rtp_timestamp_t dpp::discord_voice_client::voice_payload_parking_lot::seq_range_t::min_timestamp

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0